Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class IpResourceRange

java.lang.Object
ru.bitel.common.inet.IpRange
ru.bitel.oss.systems.inventory.resource.common.bean.IpResourceRange

All Implemented Interfaces:
  `GuiTitlable`, `IpResourceInstance`, `Resource`

Direct Known Subclasses:
  `IpResourceAddress`

    public class IpResourceRange
    extends IpRange
    implements IpResourceInstance

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.inet.IpRange

  `addressFrom, addressTo`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IpResourceRange()` |
  `IpResourceRange​(int ipResourceId, byte[] addressFrom, byte[] addressTo)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `int` | `getIpResourceId()` |
  `static void` | `newIpRangeList​(IpResource resource, java.util.List<IpResourceSubscription> subscriptionList, java.lang.String filter, int range, int max, java.util.List<IpResourceRange> result)` | Разделение ресурса на свободные диапазоны указанного размера.
  `void` | `setIpResourceId​(int ipResourceId)` |

  ### Methods inherited from class ru.bitel.common.inet.IpRange

  `getAddressFrom, getAddressTo, inRange, intersects, newInstance, newInstance, newInstance, setAddressFrom, setAddressTo, toString, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.oss.systems.inventory.resource.common.bean.IpResourceInstance

  `toString`

- ## Constructor Details

  - ### IpResourceRange

    public IpResourceRange()

  - ### IpResourceRange

    public IpResourceRange​(int ipResourceId, byte[] addressFrom, byte[] addressTo)

- ## Method Details

  - ### getIpResourceId

    public int getIpResourceId()
    Specified by:
      `getIpResourceId` in interface `IpResourceInstance`

  - ### setIpResourceId

    public void setIpResourceId​(int ipResourceId)
    Specified by:
      `setIpResourceId` in interface `IpResourceInstance`

  - ### newIpRangeList

    public static void newIpRangeList​(IpResource resource, java.util.List<IpResourceSubscription> subscriptionList, java.lang.String filter, int range, int max, java.util.List<IpResourceRange> result)
    Разделение ресурса на свободные диапазоны указанного размера.
    Parameters:
      `resource` -
      `subscriptionList` -
      `range` -
      `max` -

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.